diff options
author | Derrick Hendricks <derrick@nanorex.com> | 2008-07-24 16:05:52 +0000 |
---|---|---|
committer | Derrick Hendricks <derrick@nanorex.com> | 2008-07-24 16:05:52 +0000 |
commit | 10f3b02ceca0890732de986924c992025cac89b3 (patch) | |
tree | 4c032b25836faacf3d0d48a0706f719926588bbb | |
parent | 55d5fd6a550d62fbfb43c25c9f12bac0e71be41d (diff) | |
download | nanoengineer-theirix-10f3b02ceca0890732de986924c992025cac89b3.tar.gz nanoengineer-theirix-10f3b02ceca0890732de986924c992025cac89b3.zip |
modifications for build suite and build pref_mod
-rw-r--r-- | packaging/Pref_Mod/buildWin.sh | 12 | ||||
-rw-r--r-- | packaging/Suite/Win32/suite_installer.nsi | 2 | ||||
-rw-r--r-- | packaging/Suite/buildWinSuite.sh | 68 |
3 files changed, 78 insertions, 4 deletions
diff --git a/packaging/Pref_Mod/buildWin.sh b/packaging/Pref_Mod/buildWin.sh index fc08dfb3f..c665f0adc 100644 --- a/packaging/Pref_Mod/buildWin.sh +++ b/packaging/Pref_Mod/buildWin.sh @@ -1,4 +1,16 @@ #!/bin/sh -x
+# The same checks for a stored version in /c/<something> are not in Pref_Mod
+# as they are for gromacs and qutemol. This is because pref_modifier changes
+# with every version number. Plus, it only adds to the build time be about
+# two minutes
+
+TOP_LEVEL=`pwd`
+echo $TOP_LEVEL | grep "Pref_Mod"
+if [ "$?" != "0" ]
+then
+ echo "This is not a valid build area"
+ exit 1
+fi
rm -rf build dist
cp ../../cad/src/NE1_Build_Constants.py .
diff --git a/packaging/Suite/Win32/suite_installer.nsi b/packaging/Suite/Win32/suite_installer.nsi index f1b76c926..3a95b1689 100644 --- a/packaging/Suite/Win32/suite_installer.nsi +++ b/packaging/Suite/Win32/suite_installer.nsi @@ -230,7 +230,7 @@ SectionGroupEnd ;SectionGroupEnd
SectionGroup /e "GROMACS"
-Section "GROMACS+HDF5 (Required)" SEC_GMX_BASE
+Section "GROMACS (Required)" SEC_GMX_BASE
SectionIn 1 2
; SetOutPath "$INSTDIR"
SetOutPath "c:\${GMX_INST_DIR}"
diff --git a/packaging/Suite/buildWinSuite.sh b/packaging/Suite/buildWinSuite.sh index fd68d79a4..8171fd82b 100644 --- a/packaging/Suite/buildWinSuite.sh +++ b/packaging/Suite/buildWinSuite.sh @@ -4,6 +4,7 @@ # Set control variable to build packages if they are not build already
+# This will probably be removed later as it was only added for testing
BUILD_IF_UNBUILT=1
# Set up path variables
@@ -15,6 +16,7 @@ DIST_CONTENTS=$DIST_ROOT # Set up version information
VERSION_NUM="1.1.1"
RC_NUMBER="0"
+GROMACS_VERSION="3.3.3"
# Do a basic check for sanity in the build area.
if [ ! -e "$TOP_LEVEL/cad/src" ]
@@ -27,10 +29,12 @@ fi # Start with Pref_Mod since it's easy to build
cd $TOP_LEVEL
-if [ ! -e "$TOP_LEVEL/packaging/Pref_Mod/build" ]
+# this check is to see if we've already run Pref_Mod for this tree
+if [ ! -e "$TOP_LEVEL/packaging/Pref_Mod/dist" ]
then
if [ $BUILD_IF_UNBUILT -ne 0 ]
then
+# All clear to do the build
cd packaging/Pref_Mod
./buildWin.sh || exit 1
else
@@ -39,7 +43,56 @@ then fi
fi
-# insert gromacs and qutemolx in here when they are ready.
+
+# Build section for QuteMolX
+
+if [ ! -e "/c/QMX_Install" ]
+then
+ if [ $BUILD_IF_UNBUILT -ne 0 ]
+ then
+ cd $TOP_LEVEL/cad/plugins/QuteMol/packaging
+ ./buildWin.sh
+ if [ "$?" != "0" ]
+ then
+ echo "Error in the QuteMolX build, investigate."
+ exit 1
+ fi
+ fi
+fi
+# The build will normally handle this, but if the files used are pre-builds,
+# the build does not store the readme and license. (Needed for Suite)
+cp $TOP_LEVEL/cad/plugins/QuteMol/packaging/Win32/License.txt /c/QMX_Install || exit 1
+cp $TOP_LEVEL/cad/plugins/QuteMol/packaging/ReadMe.html /c/QMX_Install || exit 1
+
+# End of build section for QuteMolX
+
+cd $TOP_LEVEL
+
+# Build section for GROMACS
+
+if [ ! -e "/c/GMX_Install" ]
+then
+ if [ $BUILD_IF_UNBUILT -ne 0 ]
+ then
+ cd $TOP_LEVEL/cad/plugins/GROMACS/gromacs-$GROMACS_VERSION/packaging
+ ./buildWin.sh $GROMACS_VERSION
+ if [ "$?" != "0" ]
+ then
+ echo "Error in the GROMACS build, investigate."
+ exit 1
+ fi
+ fi
+fi
+# The build will normally handle this, but if the files used are pre-builds,
+# the build does not store the readme and license. (Needed for Suite)
+cp $TOP_LEVEL/cad/plugins/GROMACS/gromacs-$GROMACS_VERSION/packaging/Win32/License.txt /c/GMX_Install
+cp $TOP_LEVEL/cad/plugins/GROMACS/gromacs-$GROMACS_VERSION/packaging/ReadMe.html /c/GMX_Install
+
+# End of GROMACS build section
+
+cd $TOP_LEVEL
+
+# Build section for NE1
#Check for an NE1 build
cd $TOP_LEVEL
@@ -51,7 +104,12 @@ then cat packaging/buildWin.sh | sed -e "s:^VERSION_NUM=.*:VERSION_NUM=\\\"$VERSION_NUM\\\":" | sed -e "s:^RC_NUMBER=.*:RC_NUMBER=\\\"$RC_NUMBER\\\":" > packaging/buildWin.sh.tmp
mv packaging/buildWin.sh.tmp packaging/buildWin.sh || exit 1
cd packaging
- ./buildWin.sh || exit 1
+ ./buildWin.sh
+ if [ "$?" != "0" ]
+ then
+ echo "Error in the NE1 Build, investigate"
+ exit 1
+ fi
else
echo "Build NE1 before continuing"
exit 1
@@ -67,3 +125,7 @@ mv packaging/Suite/Win32/suite_installer.nsi.btmp packaging/Suite/Win32/suite_in # Create the installer
"c:/program files/nsis/makensis.exe" packaging/Suite/Win32/suite_installer.nsi
+
+# Clean up time
+rm -f /c/GMX_Install/License.txt /c/GMX_Install/ReadMe.html
+rm -f /c/QMX_Install/License.txt /c/QMX_Install/ReadMe.html
|